net.sf.jasperreports.engine.base

## Class JRVirtualPrintPage.JRIdHolderTemplateElement

- java.lang.Object
- - net.sf.jasperreports.engine.fill.JRTemplateElement
  - - net.sf.jasperreports.engine.base.JRVirtualPrintPage.JRIdHolderTemplateElement

- All Implemented Interfaces:
    java.io.Serializable, Deduplicable, JRCommonElement, JRPropertiesHolder, JRStyleContainer
  Enclosing class:
    JRVirtualPrintPage

      public static class JRVirtualPrintPage.JRIdHolderTemplateElement
      extends JRTemplateElement

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.engine.fill.JRTemplateElement

      `defaultStyleProvider, origin, parentStyle`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRVirtualPrintPage.JRIdHolderTemplateElement(java.lang.String id)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getHashCode()` Returns a hash code to be used for the deduplicate map.
    `boolean` | `isIdentical(java.lang.Object object)` Determines if this instance is identical to another object.

    - ### Methods inherited from class net.sf.jasperreports.engine.fill.JRTemplateElement

      `addTemplateHash, getBackcolor, getBaseStyle, getDefaultStyleProvider, getForecolor, getHeight, getId, getKey, getModeValue, getOrigin, getOwnBackcolor, getOwnForecolor, getOwnModeValue, getParentProperties, getPropertiesMap, getStyle, getStyleNameReference, getWidth, hasProperties, setBackcolor, setElement, setForecolor, setKey, setMode, setStyle, templateIdentical`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JRVirtualPrintPage.JRIdHolderTemplateElement

          public JRVirtualPrintPage.JRIdHolderTemplateElement(java.lang.String id)

  - ### Method Detail

    - #### getHashCode

          public int getHashCode()

      Description copied from interface: `Deduplicable`
      Returns a hash code to be used for the deduplicate map. The returned hash code should be consitent wiwh `Deduplicable.isIdentical(Object)`, i.e. if two objects are identical they should have the same hash code.
      Returns:
        deduplication hash code

    - #### isIdentical

          public boolean isIdentical(java.lang.Object object)

      Description copied from interface: `Deduplicable`
      Determines if this instance is identical to another object.
      Parameters:
        `object` - the object to compare with this instance
      Returns:
        `true` if the two objects are identical and can be deduplicated

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com